Subject: bug#79004: closed (Request for merging "rust-team" branch)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 21 Aug 2025 11:44:03 +0000

Your message dated Thu, 21 Aug 2025 19:33:50 +0800
with message-id <[email-masked]>
and subject line Re: [bug#79004] Request for merging "rust-team" branch
has caused the debbugs.gnu.org bug report #79004,
regarding Request for merging "rust-team" branch
to be marked as done.

(If you believe you have received this mail in error, please contact
[email-masked].)

-- 
79004: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79004
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Request for merging "rust-team" branch
From: Hilton Chain <[email-masked]>
To: [email-masked]
Cc: Steve George <[email-masked]>, Efraim Flashner <[email-masked]>, Divya Ranjan Pattanaik <[email-masked]>
Date: Sun, 13 Jul 2025 17:12:01 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Apologize for the long delay, since all build work is already there, I should
start the merge process earlier.

rust-team has been rebased with Rust 1.88
(https://codeberg.org/guix/guix/pulls/989), except the one patch changing the
default Rust version.

I need help to finish transfering https://codeberg.org/hako/guix-rust-registry,
there's a button to accept it.

The remaining work is:
1. Address reviews in https://codeberg.org/guix/guix/pulls/387.
2. Add a news entry.
3. Test guix-rust-past-crates.

I expect to finish most of them within today.  Since there's also a build job on
ci.guix.gnu.org, the merge process should not take too long.

Subject: Re: [bug#79004] Request for merging "rust-team" branch
From: Hilton Chain <[email-masked]>
To: [email-masked]
Cc: Andreas Enge <[email-masked]>, Steve George <[email-masked]>, Gabriel Santos <[email-masked]>, Divya Ranjan Pattanaik <[email-masked]>, Efraim Flashner <[email-masked]>
Date: Thu, 21 Aug 2025 19:33:50 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hilton Chain <[email-masked]> writes:

> Andreas Enge <[email-masked]> writes:
>
>> The branch is essentially built, 228 packages missing on x86_64, 1 on i686,
>> 86 on aarch64; nothing peculiar in the numbers.
>>
>> But I tend to overlook that this may hide important leaf packages that
>> do not build... In my own home profile, this concerned librewolf, but
>> this one has been repaired by the first master commit after which we had
>> rebased. So for good measure, I have rebased once more on commit
>>    824989b0d47b5cd12dfc6f3d6ffc836319ccf287 .
>
> Seeing through the logs, the failures seem to be on the QA side.  I have
> no issue building these broken packages on x86_64-linux.
>
> I haven't built all of them on aarch64-linux, but at least emacs succeeds.
>
>> I have forced a new evaluation by the data service:
>>    https://data.qa.guix.gnu.org/revision/1d0877d7cde8580df340bb5a01a47880e4dd1a52
>>
>> Please feel free to push if you deem the branch ready.
>
> Thanks, I'm going to merge the branch.

Merged :)